Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - ffmpeg-full

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: ffmpeg-full 1:3.2.2-1

Git Clone URL: https://aur-dev.archlinux.org/ffmpeg-full.git (read-only)
Package Base: ffmpeg-full
Description: Complete solution to record, convert and stream audio and video (with all options)
Upstream URL: http://ffmpeg.org/
Licenses: GPL3, custom:unredistributable
Conflicts: ffmpeg, ffmpeg-full-git, ffmpeg-git
Provides: ffmpeg, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavresample.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: rpolzer
Maintainer: isiachi
Last Packager: isiachi
Votes: 57
Popularity: 1.421754
First Submitted: 2013-01-24 11:17
Last Updated: 2016-12-07 22:27

Dependencies (87)

Required by (539)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

kit commented on 2016-01-14 20:45

[Native FFmpeg AAC encoder] "will occasionally sound worse below 96kbps. This is the default AAC encoder. The only drawback is that this encoder does not support the AAC-HE profile yet." ~https://trac.ffmpeg.org/wiki/Encode/AAC

MaJia321 commented on 2016-01-14 11:06

According to https://trac.ffmpeg.org/wiki/Encode/AAC , the Native FFmpeg AAC encoder provides the best quality and libfdk_aac could be removed.

isiachi commented on 2015-12-17 12:32

@frabjous

I put it in the wrong section of PKGBUILD.

(It's better to sleep at night, but I have to update this package too)

frabjous commented on 2015-12-17 04:50

openh264 and xavs need to be added as dependencies.

oi_wtf commented on 2015-12-16 22:32

You should orphan this package if you don't have time to do even the most basic maintenance for over a month.

GRMrGecko commented on 2015-11-24 14:44

Here is my change to the PKGBUILD to fix building for myself.

source=(http://ffmpeg.org/releases/ffmpeg-$pkgver.tar.bz2{,.asc}
https://raw.githubusercontent.com/archlinuxarm/PKGBUILDs/master/extra/ffmpeg/ffmpeg-2.8.1-libvpxenc-remove-some-unused-ctrl-id-mappings.patch
UNREDISTRIBUTABLE.txt)
validpgpkeys=('FCF986EA15E6E293A5644F10B4322F04D67658D8') # ffmpeg-devel
sha256sums=('e2ed5ab28dee1af94336739173eb0019afc21a54e38a96f4e3208e94a07866e2'
'SKIP'
'SKIP'
'e0c1b126862072a71e18b9580a6b01afc76a54aa6e642d2c413ba0ac9d3010c4')

prepare() {
cd ${pkgname%-full}-$pkgver
patch -p1 -i ../ffmpeg-2.8.1-libvpxenc-remove-some-unused-ctrl-id-mappings.patch
}

kuantum commented on 2015-11-12 06:15

the current version 2.8.1 doesn't work with libvpx-1.5.0 yet, need to add the patch part to PKGBUILD before build() section

prepare() {
cd ${pkgname%-full}-$pkgver
patch -p1 -i ../ffmpeg-2.8.1-libvpxenc-remove-some-unused-ctrl-id-mappings.patch
}

dark-saber commented on 2015-08-15 13:12

@Tom00000 As far as I can see, the old package opencl-headers12 (http://pkgbuild.com/git/aur-mirror.git/tree/opencl-headers12/PKGBUILD) still downloaded source from svn, which means it was wrongly named, that was fixed now.

Tom00000 commented on 2015-08-14 20:28

error: target not found: opencl-headers12

Fixable by replacing opencl-headers12 with opencl-headers12-svn

This means that subversion will also be installed, I wonder what happened to the normal one?

isiachi commented on 2015-08-08 18:37

Makepkg strip it.